Bug 114523 - Make inline tooltip for track changes optional
Summary: Make inline tooltip for track changes optional
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: difficultyInteresting, easyHack, skillCpp
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2017-12-18 07:23 UTC by JIM7
Modified: 2018-04-16 07:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Tooltip for changes (13.07 KB, image/png)
2017-12-20 06:18 UTC, Heiko Tietze
Details
Dialog after the patch (93.06 KB, image/png)
2018-02-11 13:37 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JIM7 2017-12-18 07:23:29 UTC
Description:
While editing, if I type in a correction, I also get an inane popup that has the letters I am typing, plus a completed word that has absolutely NOTHING TO DO WITH WHAT I AM EDITING. It is totally distracting and horribly frustrating to have to put up with these *&&%^! popups all the time. I was able to get rid of them in the winblows version, but now that I have switched to Linux, that is not possible.
The other UNWANTED popup appears every time the cursor moves over a previously typed change. It gives all the "Manage Changes" data ("inserted on -date- by unknown author), and often covers the text I am TRYING to work on!
>
PLEASE REMOVE THESE POPUPS! I **HATE** THEM!!!!!!!!!!

Steps to Reproduce:
1.Open a document in Writer
2.Start typing in a change, anywhere.
3."word completion" popup will appear, nearly every time.
4.99% of the time, the "word completion" word is NOT WANTED.
>
A.Open a document in Writer.
B.Type in a change.
C. Place cursor on the change you just made.
D.The UNWANTED data popup will appear EVERY time.

Actual Results:  
N/A

Expected Results:
N/A


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: TextDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes
>
Version: 5.1.6.2
Build ID: 1:5.1.6~rc2-0ubuntu1~xenial2
CPU Threads: 4; OS Version: Linux 4.10; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Telesto 2017-12-18 11:38:43 UTC
Tools -> Autocorrect options -> Word Completion tab -> Uncheck enable word completion
Comment 2 JIM7 2017-12-18 14:18:46 UTC
Linux version does not have that option. There is *NO* "Enable word completion" box to uncheck. It is NOT there.
I was able to do that in the windows version.
Not there in the Linux version
Comment 3 Telesto 2017-12-18 16:54:28 UTC
(In reply to JIM7 from comment #2)
> Linux version does not have that option. There is *NO* "Enable word
> completion" box to uncheck. It is NOT there.
> I was able to do that in the windows version.
> Not there in the Linux version

Second attempt, now based on Ubuntu:
Tools -> Autocorrect -> Autocorrect options -> Word Completion tab -> Uncheck enable word completion
Comment 4 JIM7 2017-12-18 17:19:10 UTC
YES!!!!!!! Thank you!!!!!! 
I was able to stop the word completion popup.
Now, how do I stop the "Manage Changes" popup?
:)
Comment 5 Telesto 2017-12-18 22:15:00 UTC
(In reply to JIM7 from comment #4)
Not sure what you mean with the "Manage Changes" popup. It sounds like Tracking changes" is enabled. On Windows: Edit -> Track Changes and disable "Record"
Comment 6 JIM7 2017-12-18 22:50:11 UTC
If I do that, won't the changes be made without my author being able to see them?
I need for the authors all to be able to see what changes I have made. They then accept/reject them as they see fit.
Comment 7 JIM7 2017-12-18 22:52:02 UTC
I describe the problem in "Steps to Reproduce":
A.Open a document in Writer.
B.Type in a change.
C. Place cursor on the change you just made.
D.The UNWANTED data popup will appear EVERY time.
Comment 8 Dieter Praas 2017-12-19 07:01:51 UTC
I tried to reproduce it as follows:

1. Open a document in writer
2. Check that the following settings are enabled
              Edit => Track changes => Record
              Edit => Track changes => Show
3. Type in a change
4. Move the cursor over that change => information about the change appears

Is this the popup you mean? I don't know if it is possible to disable this popup. I don't think it is useful to disable it by default. If you don't like it it might be a solution to disable "Show". So you still record your changes, but the are not displayed.
Comment 9 JIM7 2017-12-19 12:48:18 UTC
Yes, that is exactly the popup I mean.
I don't recall it being there before the last 2 updates.
Why was it added? 
Can it be removed?
Can a switch be added, to turn it off?
I hate it! It gets in my way when I am trying to edit.
Comment 10 JIM7 2017-12-19 12:55:07 UTC
On the other hand, I just switched over to Linux.
Perhaps it was my windows version that did not have this popup.
I REALLY do not want to go back to windows.
I surely do hope this bug can get fixed.
Comment 11 Dieter Praas 2017-12-19 15:22:51 UTC
Let's ask the UX experts about this popup
Comment 12 JIM7 2017-12-19 15:26:17 UTC
Thank you!!
:)
Comment 13 Heiko Tietze 2017-12-20 06:18:56 UTC
Created attachment 138543 [details]
Tooltip for changes

Attaching an illustration of the issue

Normally it makes not much sense to modify standard behavior, and many users may benefit from this function. But in this particular case we should introduce an option to disable tooltips in the document. The worse thing is that the tooltip also pops-up when show track changes is off, also when tracking has ended.

So I suggest to add an option "[x] Show tooltips" under Tools > Options > Writer > Changes, enabled by default, and make SwCursorShell::GetContentAtPos() at sw/source/core/crsr/crstrvl.cxx dependent to this option and whether or not track changes are shown at all.

Sounds like an interesting easyhack.
Comment 14 JIM7 2017-12-20 07:23:46 UTC
I hope it is easy, and that I see it fairly soon.
:)
Comment 15 Yousuf Philips (jay) (retired) 2018-01-02 13:59:56 UTC
(In reply to Heiko Tietze from comment #13)
> Normally it makes not much sense to modify standard behavior, and many users
> may benefit from this function.

All users will benefit from this feature if they want to know who made the tracked change, especially when multiple people have made changes to the document, as this information is only accessible in the tooltip and in the manage track change dialog. Google docs has a different representation of showing tracked changes by showing the information inside of comments.

> But in this particular case we should
> introduce an option to disable tooltips in the document.

+1

> The worse thing is
> that the tooltip also pops-up when show track changes is off, also when
> tracking has ended.

Well that seems like a bug that should be filed and fixed.

> So I suggest to add an option "[x] Show tooltips" under Tools > Options >
> Writer > Changes, enabled by default, and make
> SwCursorShell::GetContentAtPos() at sw/source/core/crsr/crstrvl.cxx
> dependent to this option and whether or not track changes are shown at all.

+1. Might be useful to have this feature also as an entry in Edit > Track Changes.
Comment 16 Commit Notification 2018-01-22 12:34:49 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86e3f95cff4d3dad48d64e50e0c4b05034fa7064

tdf#114523 Make inline tooltips for changes optional

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Heiko Tietze 2018-01-22 12:38:04 UTC
The inline tooltip will not be shown when Show Track Changes is off or, as requested, when the newly introduces option "Show inline tooltip" under Tools > Options > Writer > Changes is unchecked.
Comment 18 JIM7 2018-02-11 12:49:04 UTC
I just downloaded Version: 6.0.1.1 (x64) onto my Win7 box.
I cannot find the switch to turn 'tooltip for changes' off.
Please help.
:)
Comment 19 Heiko Tietze 2018-02-11 13:37:18 UTC
Created attachment 139783 [details]
Dialog after the patch

(In reply to JIM7 from comment #18)
> I just downloaded Version: 6.0.1.1 (x64) onto my Win7 box.
> I cannot find the switch to turn 'tooltip for changes' off.
> Please help.
> :)

Tools > Options > Writer > Changes > [ ] Show inline...
Comment 20 JIM7 2018-02-11 15:04:37 UTC
(In reply to Heiko Tietze from comment #19)
> Created attachment 139783 [details]
> Dialog after the patch
> 
> (In reply to JIM7 from comment #18)
> > I just downloaded Version: 6.0.1.1 (x64) onto my Win7 box.
> > I cannot find the switch to turn 'tooltip for changes' off.
> > Please help.
> > :)
> 
> Tools > Options > Writer > Changes > [ ] Show inline...

Ummm ...
Tools > Options > Writer > Changes > = selection of colors for changes; and that is all I see on that page
Am I doing something wrong?
Comment 21 Heiko Tietze 2018-02-11 15:53:57 UTC
(In reply to JIM7 from comment #20)
> > > I just downloaded Version: 6.0.1.1 (x64) onto my Win7 box.

My fault, haven't looked at the version. The patch is merged into 6.1, which is known as master. You can download it from https://dev-builds.libreoffice.org/daily/master/Win-x86@42/current/ (or other tinderboxes).
Comment 22 JIM7 2018-02-20 04:58:27 UTC
Okay, I finally got up the nerve to do something 'beyond my skill level', and installed the 6.1 master. It was so easy! Now I wonder at my timidity. It's working great! Thanks for all your help!
:)
Comment 23 JIM7 2018-02-24 13:48:02 UTC
There's a problem with the switch.

I was able to turn the "Tooltip for Changes" off using the checkmark box. I worked for several hours, and had no problems. Then I closed it. I was hoping it would STAY off, but that was not the case.

The next day, upon initial opening of LibreOffice, the "Tooltip for Changes" was "ON" even though the checkmark box was left unchecked when LibreOffice was closed, previously. Upon opening Tools/Options/LibreOfficeDev Writer/Changes I found the checkmark box still unchecked, but the "Tooltip for Changes" was acting as though it WAS checked.

Through trial and error, I found this 'work around.'

Open Tools/Options/LibreOfficeDev Writer/Changes. Put a checkmark in the checkmark box. Then the click OK and close it. Then re-open Changes, and uncheck the checkmark box. ONLY THEN will the "Tooltip for Changes" be turned off for the current session.
Comment 24 JIM7 2018-02-25 02:45:13 UTC
Today I discovered that on EVERY new document you open, the "Tooltip for Changes" is "ON" by default. This is true, even if you leave the previous doc open, while opening a new doc. The new doc REQUIRES that you use my 'work around' to get rid of the Tooltip.
>
I surely do hope this can be fixed.
>
Thank you for what has already been done. Even tho I have to undo the Tooltip for each doc, it is still much easier to edit, now.
:)
Comment 25 Heiko Tietze 2018-02-25 07:47:05 UTC
(In reply to JIM7 from comment #24)
> Today I discovered that on EVERY new document you open, the "Tooltip for
> Changes" is "ON" by default. This is true, even if you leave the previous
> doc open, while opening a new doc. The new doc REQUIRES that you use my
> 'work around' to get rid of the Tooltip.

I cannot confirm this behavior. The option is stored with the user settings and should work like any other switch on Tools > Options (and does here).
Comment 26 JIM7 2018-02-25 07:51:17 UTC
Try opening a previously edited doc. The ones I opened had all had a preliminary edit. I was doing a final edit on them, when this problem surfaced.
Comment 27 Heiko Tietze 2018-02-25 08:05:28 UTC
(In reply to JIM7 from comment #26)
> Try opening a previously edited doc. The ones I opened had all had a
> preliminary edit. I was doing a final edit on them, when this problem
> surfaced.

Right, opening a document is different. Sloppy and inept coding has consequences; the code to read properties in sw/source/core/crsr/crstrvl.cxx needs to get fixed.
Comment 28 Commit Notification 2018-04-09 22:48:11 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b34efff7a7ed13553dfe87cd2413d01c76dec1d

tdf#114523 Make inline tooltips for changes optional

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Heiko Tietze 2018-04-09 22:55:24 UTC
The option has been moved to Tools > Options > Writer > View and works now independently from the current document. There is also a new UNO command available to allow customization, for example users can add "Tooltips" () to Toolbars > Track Changes.
Comment 30 JIM7 2018-04-15 09:23:16 UTC
Works "like a charm". Many thanks to you all! :)